Bullet Collision Detection & Physics Library: btConvexCast::CastResult Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btConvexCast::CastResult Struct Reference

RayResult stores the closest result alternatively, add a callback method to decide about closest/all results. More...

`#include <btConvexCast.h>`

Collaboration diagram for btConvexCast::CastResult:
[legend]

## Public Member Functions
virtual void | DebugDraw (btScalar fraction)
virtual void | drawCoordSystem (const btTransform &trans)
virtual void | reportFailure (int errNo, int numIterations)
| CastResult ()
virtual | ~CastResult ()

## Public Attributes
btTransform | m_hitTransformA
btTransform | m_hitTransformB
btVector3 | m_normal
btVector3 | m_hitPoint
btScalar | m_fraction
btIDebugDraw * | m_debugDrawer
btScalar | m_allowedPenetration
int | m_subSimplexCastMaxIterations
btScalar | m_subSimplexCastEpsilon

## Detailed Description

RayResult stores the closest result alternatively, add a callback method to decide about closest/all results.

Definition at line 46 of file btConvexCast.h.

## Constructor & Destructor Documentation

## ◆ CastResult()

btConvexCast::CastResult::CastResult | ( |  | ) |
| inline

Definition at line 57 of file btConvexCast.h.

## ◆ ~CastResult()

virtual btConvexCast::CastResult::~CastResult | ( |  | ) |
| inlinevirtual

Definition at line 66 of file btConvexCast.h.

## Member Function Documentation

## ◆ DebugDraw()

virtual void btConvexCast::CastResult::DebugDraw | ( | btScalar | fraction | ) |
| inlinevirtual

Definition at line 50 of file btConvexCast.h.

## ◆ drawCoordSystem()

virtual void btConvexCast::CastResult::drawCoordSystem | ( | const btTransform & | trans | ) |
| inlinevirtual

Definition at line 51 of file btConvexCast.h.

## ◆ reportFailure()

virtual void btConvexCast::CastResult::reportFailure | ( | int | errNo,
|  | int | numIterations )
| inlinevirtual

Definition at line 52 of file btConvexCast.h.

## Member Data Documentation

## ◆ m_allowedPenetration

btScalar btConvexCast::CastResult::m_allowedPenetration

Definition at line 74 of file btConvexCast.h.

## ◆ m_debugDrawer

btIDebugDraw* btConvexCast::CastResult::m_debugDrawer

Definition at line 73 of file btConvexCast.h.

## ◆ m_fraction

btScalar btConvexCast::CastResult::m_fraction

Definition at line 72 of file btConvexCast.h.

## ◆ m_hitPoint

btVector3 btConvexCast::CastResult::m_hitPoint

Definition at line 71 of file btConvexCast.h.

## ◆ m_hitTransformA

btTransform btConvexCast::CastResult::m_hitTransformA

Definition at line 68 of file btConvexCast.h.

## ◆ m_hitTransformB

btTransform btConvexCast::CastResult::m_hitTransformB

Definition at line 69 of file btConvexCast.h.

## ◆ m_normal

btVector3 btConvexCast::CastResult::m_normal

Definition at line 70 of file btConvexCast.h.

## ◆ m_subSimplexCastEpsilon

btScalar btConvexCast::CastResult::m_subSimplexCastEpsilon

Definition at line 77 of file btConvexCast.h.

## ◆ m_subSimplexCastMaxIterations

int btConvexCast::CastResult::m_subSimplexCastMaxIterations

Definition at line 76 of file btConvexCast.h.

The documentation for this struct was generated from the following file:

- btConvexCast.h